import { IsBoolean, IsString } from 'class-validator';
import { locales } from './LocaleEnum';

/**
 * Simple success response class to make everyone happy :)
 */
export class SuccessResponse {

    @IsBoolean()
    success: boolean = true;

    @IsString()
    message: string = "Sent!"

    @IsString()
    locale: locales;

    constructor(locale?: locales) {
        this.locale = locale || locales.en;
    }
}